=== debian/changelog ===
scap-workbench (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #750138)
  * Based on Fedora's spec file, thanks to Martin Preisler, Peter Vrabec

  * Upload sponsored by Petter Reinholdtsen.

 -- Frank Lin PIAT <fpiat@klabs.be>  Thu, 15 Dec 2016 10:22:44 +0200
