=== debian/watch ===
# See uscan(1) for format

version=3
https://fedorahosted.org/released/scap-workbench/ scap-workbench-(.*).tar.bz2
