## scap-workbench 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project("scap-workbench")
 set(SCAP_WORKBENCH_VERSION_MAJOR "1")
 set(SCAP_WORKBENCH_VERSION_MINOR "1")
-set(SCAP_WORKBENCH_VERSION_PATCH "0")
+set(SCAP_WORKBENCH_VERSION_PATCH "3")
 set(SCAP_WORKBENCH_VERSION "${SCAP_WORKBENCH_VERSION_MAJOR}.${SCAP_WORKBENCH_VERSION_MINOR}.${SCAP_WORKBENCH_VERSION_PATCH}")
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
@@ -16,7 +16,7 @@
 # custom openscap parameters.
 if (NOT DEFINED OPENSCAP_LIBRARIES OR NOT DEFINED OPENSCAP_INCLUDE_DIRS)
     include("${CMAKE_ROOT}/Modules/FindPkgConfig.cmake")
-    pkg_check_modules(OPENSCAP REQUIRED libopenscap>=1.2.0)
+    pkg_check_modules(OPENSCAP REQUIRED libopenscap>=1.2.11)
 endif()
 
 # Local scanning tools
@@ -35,6 +35,16 @@
 find_program(SETSID_EXECUTABLE NAMES setsid) # optional for remote scan, makes sure ssh always spawns GUI dialog
 if (SETSID_EXECUTABLE)
     set(SCAP_WORKBENCH_LOCAL_SETSID_FOUND 1)
+    execute_process(
+        COMMAND ${SETSID_EXECUTABLE} --wait ${CMAKE_COMMAND} -E sleep 0
+        ERROR_QUIET # suppress help message of setsid in case it doesn't support --wait
+        RESULT_VARIABLE SETSID_EXECUTABLE_WAIT_EC
+    )
+    if (${SETSID_EXECUTABLE_WAIT_EC} EQUAL 0)
+        set(SCAP_WORKBENCH_LOCAL_SETSID_SUPPORTS_WAIT 1)
+    else()
+        set(SCAP_WORKBENCH_LOCAL_SETSID_SUPPORTS_WAIT 0)
+    endif()
 endif()
 
 # Save as RPM tools, optional but required for saving content as RPM
@@ -233,6 +243,12 @@
 install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/doc/user_manual.html"
     DESTINATION ${CMAKE_INSTALL_DOCDIR})
 
+install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/COPYING"
+    DESTINATION ${CMAKE_INSTALL_DOCDIR})
+
+install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/README.md"
+    DESTINATION ${CMAKE_INSTALL_DOCDIR})
+
 if (CPPCHECK_EXECUTABLE)
     set(CPPCHECK_INCL_PARAMS -I /usr/include)
     foreach(DIR ${SCAP_WORKBENCH_INCLUDE_DIRS})
@@ -262,9 +278,3 @@
 "~$"
 
 "\\\\.settings/"
-"\\\\.project"
-"\\\\.cproject"
-
-"\\\\CMakeLists.txt.user"
-)
-include(CPack)
