=== debian/changelog ===
scap-workbench (1.1.3-2) unstable; urgency=low

  * Fixed typo in debian/changelog.
  * Updated copyright and license-reconcile.yml.
  * Don't install upstream COPYING (duplicate).
  * Fixed user_manual.html generation.
  * Packaging using dh_auto_configure only.
  * Compilation hardening: enable +bindnow.
  * Changed debian package repository (collab-maint).

  * Upload sponsored by Petter Reinholdtsen.

 -- Frank Lin PIAT <fpiat@klabs.be>  Tue, 20 Dec 2016 07:09:10 +0100

scap-workbench (1.1.3-1) unstable; urgency=low

  * Updated to new upstream version 1.1.3.
  * Dropped patches merged upstream.
  * Updated with latest upstream URLs.
  * Fixed FTBFS on non-amd64 (Closes: #848250).
  * Fixed lintian warning vcs-field-uses-insecure-uri.

  * Upload sponsored by Petter Reinholdtsen.

 -- Frank Lin PIAT <fpiat@klabs.be>  Thu, 15 Dec 2016 22:27:10 +0100
