=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 9.0.0), cmake, libqt4-dev, libopenscap8 (>= 1.2.0), libopenscap-dev (>= 1.2.0), pkg-config, asciidoctor, openssh-client
 Standards-Version: 3.9.8
 Homepage: https://www.open-scap.org/tools/scap-workbench/
-Vcs-Git: git://anonscm.debian.org/users/franklin-guest/scap-workbench.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/franklin-guest/scap-workbench.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/scap-workbench.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/scap-workbench.git
 
 Package: scap-workbench
 Architecture: linux-any
