=== debian/watch ===
# See uscan(1) for format

version=3
https://github.com/OpenSCAP/scap-workbench/releases /OpenSCAP/scap-workbench/releases/download/.+/scap-workbench-(.+).tar.bz2
