## scap-workbench 1.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project("scap-workbench")
 set(SCAP_WORKBENCH_VERSION_MAJOR "1")
 set(SCAP_WORKBENCH_VERSION_MINOR "1")
-set(SCAP_WORKBENCH_VERSION_PATCH "3")
+set(SCAP_WORKBENCH_VERSION_PATCH "5")
 set(SCAP_WORKBENCH_VERSION "${SCAP_WORKBENCH_VERSION_MAJOR}.${SCAP_WORKBENCH_VERSION_MINOR}.${SCAP_WORKBENCH_VERSION_PATCH}")
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
@@ -16,7 +16,23 @@
 # custom openscap parameters.
 if (NOT DEFINED OPENSCAP_LIBRARIES OR NOT DEFINED OPENSCAP_INCLUDE_DIRS)
     include("${CMAKE_ROOT}/Modules/FindPkgConfig.cmake")
-    pkg_check_modules(OPENSCAP REQUIRED libopenscap>=1.2.11)
+    pkg_check_modules(OPENSCAP REQUIRED libopenscap>=1.2.0)
+endif()
+
+# Gather info about openscap version
+if (DEFINED OPENSCAP_VERSION)
+    # pkg_check_modules() defines the string OPENSCAP_VERSION, lets use it
+    string(REPLACE "." ";" OPENSCAP_VERSION_LIST ${OPENSCAP_VERSION})
+    list(GET OPENSCAP_VERSION_LIST 0 OPENSCAP_VERSION_MAJOR)
+    list(GET OPENSCAP_VERSION_LIST 1 OPENSCAP_VERSION_MINOR)
+    list(GET OPENSCAP_VERSION_LIST 2 OPENSCAP_VERSION_PATCH)
+else()
+    # If OPENSCAP_VERSION is not defined, user has specified its own OpenSCAP library to use
+    # So, zero out the version info as there is no easy way to know which version the library is
+    set(OPENSCAP_VERSION "0.0.0")
+    set(OPENSCAP_VERSION_MAJOR 0)
+    set(OPENSCAP_VERSION_MINOR 0)
+    set(OPENSCAP_VERSION_PATCH 0)
 endif()
 
 # Local scanning tools
@@ -136,6 +152,7 @@
     ${scap_workbench_LANGUAGE_TS_FILES}
 )
 
+set_target_properties("scap-workbench" PROPERTIES MACOSX_BUNDLE_INFO_PLIST MacOSXBundleInfo.plist.in)
 set(MACOSX_BUNDLE_BUNDLE_NAME "SCAP Workbench")
 set(MACOSX_BUNDLE_BUNDLE_VERSION "${SCAP_WORKBENCH_VERSION}")
 set(MACOSX_BUNDLE_LONG_VERSION_STRING "${SCAP_WORKBENCH_VERSION}")
@@ -252,29 +269,3 @@
 if (CPPCHECK_EXECUTABLE)
     set(CPPCHECK_INCL_PARAMS -I /usr/include)
     foreach(DIR ${SCAP_WORKBENCH_INCLUDE_DIRS})
-        set(CPPCHECK_INCL_PARAMS ${CPPCHECK_INCL_PARAMS} -I ${DIR})
-    endforeach()
-
-    add_custom_command(
-        OUTPUT cppcheck.txt
-        COMMAND ${CPPCHECK_EXECUTABLE} ${CPPCHECK_INCL_PARAMS} --language=c++ --std=c++03 --library=std,qt --enable=all --force --suppress=*:/usr/include/Qt*/* ${scap_workbench_SOURCES} 2> ${CMAKE_CURRENT_BINARY_DIR}/cppcheck.txt
-        DEPENDS ${scap_workbench_SOURCES} ${scap_workbench_HEADERS}
-        VERBATIM
-    )
-    add_custom_target(
-        cppcheck
-        DEPENDS cppcheck.txt
-    )
-endif()
-
-# only CPack should follow
-set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
-set(CPACK_SOURCE_GENERATOR "TBZ2")
-set(CPACK_SOURCE_PACKAGE_FILE_NAME "scap-workbench-${SCAP_WORKBENCH_VERSION}" CACHE INTERNAL "tarball basename")
-set(CPACK_SOURCE_IGNORE_FILES
-"\\\\.git.*"
-
-"build/"
-"~$"
-
-"\\\\.settings/"
