=== debian/changelog ===
scap-workbench (1.1.5-1) unstable; urgency=medium

  [ Frank Lin PIAT ]
  * New upstream version 1.1.5
  * Bump standard to 4.0.0
  * Fix debian/watch (use latest template from wiki)
  * Fix many URLs

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf to enforce the use of pristine-tar.

 -- Frank Lin PIAT <fpiat@klabs.be>  Fri, 14 Jul 2017 17:56:51 +0000

scap-workbench (1.1.4-1) unstable; urgency=low

  * Updated to new upstream version 1.1.4.
  * Known lintian error (fixed in 1.1.5):
    source-is-missing CMakeFiles/3.6.2/CMakeDetermineCompilerABI_C.bin

 -- Frank Lin PIAT <fpiat@klabs.be>  Sun, 02 Jul 2017 12:17:01 +0200
