=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Frank Lin PIAT <fpiat@klabs.be>
 Uploaders: Klee Dienes <klee@debian.org>, Henri Salo <henri@nerv.fi>
 Build-Depends: debhelper (>= 9.0.0), cmake, libqt4-dev, libopenscap8 (>= 1.2.0), libopenscap-dev (>= 1.2.0), pkg-config, asciidoctor, openssh-client
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://www.open-scap.org/tools/scap-workbench/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/scap-workbench.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/scap-workbench.git
