=== debian/watch ===
# See uscan(1) for format

version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/scap-workbench-$1\.tar\.gz/ \
  https://github.com/OpenSCAP/scap-workbench/tags .*/v?(\d\S+)\.tar\.gz
