## scap-workbench 1.2.1

=== debian/changelog ===
scap-workbench (1.2.1-1) experimental; urgency=medium

  * New upstream release (Closes: #992020)
    - Now it uses Qt5, instead of deprecated Qt4
  * debian/rules
    - Drop unnecessary override_dh_auto_{build,clean} and add debian/clean
    - Drop unnecessary OPENSCAP_LIBRARIES setting
  * debian/patches
    - Refresh patch
    - Add: 0002-Fix-build-warning.patch
    - Add: 0003-Move-appdata-to-appropriate-location.patch
    - Add: 0004-Fix-deprecated-format-appdata.patch
    - Add: 0005-Turn-off-rpath.patch
    - Add: 0006-Add-Keywords-entry-for-desktop-file.patch
  * debian/watch
    - Update watch file format version to 4.
  * debian/control
    - Bump Standards-Version: 4.5.1
    - Add henrich@debian.org as Uploaders
    - Move Vcs-* to salsa.debian.org
    - Use dh13
    - Use qtbase5-dev and libqt5xmlpatterns5-dev for Qt5 migration
    - Use asciidoc
    - Drop extra build dependencies: libopenscap8 and openssh-client
    - Drop unnecessary declared dependency libopenscap8, it would be added
      automatically and is a blocker for library transition
    - Add Rules-Requires-Root: no
  * Update debian/gbp.conf to adjust git-buildpackage setting
  * Add debian/salsa-ci.yml
  * Drop obsolete debian/TODO

  [ lintian-brush ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Hideki Yamane <henrich@debian.org>  Mon, 09 Aug 2021 11:20:14 +0900
