=== debian/control ===
Source: scap-workbench
Section: admin
Priority: optional
Maintainer: Frank Lin PIAT <fpiat@klabs.be>
Uploaders: Hideki Yamane <henrich@debian.org>,
           Henri Salo <henri@nerv.fi>,
           Klee Dienes <klee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               qtbase5-dev,
               libqt5xmlpatterns5-dev,
               libopenscap-dev (>= 1.2.0),
               pkg-config,
               asciidoc,
Standards-Version: 4.5.1
Homepage: https://www.open-scap.org/tools/scap-workbench/
Vcs-Git: https://salsa.debian.org/debian/scap-workbench.git
Vcs-Browser: https://salsa.debian.org/debian/scap-workbench
Rules-Requires-Root: no

Package: scap-workbench
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends},
Recommends: openssh-client, ssh-askpass
Description: Scanning and tailoring tool for SCAP content
 SCAP is a line of standards managed by NIST with the goal of
 providing a standard language for the expression of Computer Network
 Defense related information.
 .
 The main goal of this application is to lower the initial barrier of using
 SCAP. Therefore, the scope of very narrow - scap-workbench only scans a
 single machine and only with XCCDF/SDS (no direct OVAL evaluation).
 The assumption is that this is enough for users who want to scan a few
 machines and users with huge amount of machines to scan will just use
 scap-workbench to test or hand-tune their content before deploying it with
 more advanced (and harder to use) tools like spacewalk.
 .
 Feature highlights:
  * XCCDF 1.1 and 1.2 support
  * Source Data Stream 1.2 support
  * XCCDF 1.2 Tailoring file support
  * Evaluation of local machine
  * Evaluation of remote machine (using ssh)
  * Limited tailoring support - selection and unselection
  * Saving results as XCCDF 1.1 or 1.2 (depending on input) or ARF 1.1
