=== debian/watch ===
version=4
https://github.com/OpenSCAP/@PACKAGE@/releases /OpenSCAP/@PACKAGE@/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@
